<?php echo e(Form::model($Investigacion, array('route' => array('investigacion.actualizar', $Investigacion->id), 'id'=>'frmEditInv', 'method' => 'POST','enctype'=>'multipart/form-data'))); ?>

<div class="modal-body" id="ModalBody">

    <div class="form-group hidden">
        <?php echo Form::label('id', 'id:', ['class' => 'control-label']); ?>

        <?php echo Form::text('id', null, ['class' => 'form-control','required'=>'required']); ?>

    </div>

    <div class="form-group">
        <?php echo Form::label('nombre', 'Nombre:', ['class' => 'control-label']); ?>

        <?php echo Form::text('nombre', null, ['class' => 'form-control','required'=>'required']); ?>

    </div>

    <div class="form-group">
        <label class="control-label"> Imagen: </label>
        <?php echo Form::file('img', array('class' => 'form-control filestyle','id' => 'file_img_b1', 'data-buttonBefore' => 'true', 'data-buttonText' => 'Seleccionar archivo', 'data-placeholder' => 'No se ha seleccionado ningun archivo', 'data-buttonName' => 'btn-primary','accept' => 'image/jpeg')); ?>

        <label>Solo se permite archivos en formato jpeg.</label>
        <h6 id="mensajeh7" style="color: red;"></h6>
    </div>

    <div class="form-group">
        <?php echo Form::label('ids_users', 'Autores:', ['class' => 'control-label']); ?>


        <?php echo Form::select('users[]', $Users, $UserInv, ['id'=>'selectUsers1','multiple' => 'multiple', 'class' => 'select2','style'=>'width:100%','required'=>'required']); ?>


    </div>

    <div class="form-group">
        <?php echo Form::label('campo_investigacion', 'Campo Investigaci贸n:', ['class' => 'control-label']); ?>

        <?php echo Form::select('id_campo_investigacion', $CampoInvestigacion, $CampoInvestigacionInv[0]->id, ['id'=>'selectCampo1', 'class' => 'select2','style'=>'width:100%','required'=>'required']); ?>

    </div>

    <div class="form-group">
        <?php echo Form::label('fecha_publicacion', 'Fecha publicacion:', ['class' => 'control-label']); ?>

        <?php echo Form::date('fecha_publicacion', null, array('placeholder' => '','class' => 'form-control date' ,'data-provider' => 'datepicker','style' => 'resize:none;', 'required' => 'required')); ?>

    </div>

    <div class="form-group">
        <?php echo Form::label('estado', 'Publicado:', ['class' => 'control-label']); ?>

        <?php if($Investigacion->estado == 0): ?>
            <input type="checkbox" name="estado" id="estado" value="0"/>
        <?php else: ?>
            <input type="checkbox" name="estado" id="estado" value="1" checked="checked"/>

        <?php endif; ?>

    </div>

    <div class="form-group  hidden" id="divPublicado">
        <?php echo Form::label('nombre_revista', 'Nombre revista:', ['class' => 'control-label']); ?>

        <?php echo Form::text('nombre_revista', null, ['class' => 'form-control','required'=>'required']); ?>

    </div>

    <div class="form-group">
        <label class="control-label"> Archivo: </label>
        <?php echo Form::file('archivo', array('class' => 'form-control filestyle','id' => 'file_pdf_b1', 'data-buttonBefore' => 'true', 'data-buttonText' => 'Seleccionar archivo', 'data-placeholder' => 'No se ha seleccionado ningun archivo', 'data-buttonName' => 'btn-primary','accept' => 'application/pdf')); ?>

        <label>Solo se permite archivos en formato PDF.</label>
        <h6 id="mensajeh7" style="color: red;"></h6>
    </div>

</div>

<div class="modal-footer">
    <button type="button" data-dismiss="modal" class="btn dark btn-outline">Cancelar</button>
    <?php echo Form::submit('Guardar', ['class' => 'btn green']); ?>

</div>
<?php echo Form::close(); ?>


<script>
    $( document ).ready(function() {

        $("#frmEditInv").submit(function () {
            var size = parseFloat((($("#file_pdf_b1").get(0).files[0].size)*(0.000001)).toFixed(2));
            var ext = $('#file_pdf_b1').val().split('.').pop();
            var texto_pdf="";

            if(ext == 'pdf'){
                if(size < 8){
                    return true;
                }
                else{
                    texto_pdf = 'El archivo no puede pesar mas de 8 MB';
                    $("#mensajeh7").empty();
                    $("#mensajeh7").text(texto_pdf);
                    return false;
                }
            }
            else{
                texto_pdf = 'El archivo tiene que ser de formato PDF (.pdf)';
                $("#mensajeh7").empty();
                $("#mensajeh7").text(texto_pdf);
                return false;
            }
        });




        var cb = $('#estado').val();
        if (cb == 1) {
            $('#divPublicado').removeClass('hidden');

        }else{
            $('#divPublicado').addClass('hidden');
        }

    });

    var parentElement = $("#EditarInvestigacionModal");
    $('#selectCampo1').select2({dropdownParent: parentElement});
    $('#selectUsers1').select2();



    $('#estado').click(function() {
        var cb = $(this);
        if ($("#estado:checked").length == 1) {
            $('#divPublicado').removeClass('hidden');
            cb.val(cb.prop('checked'));
        }else{
            $('#divPublicado').addClass('hidden');
            cb.val(cb.removeAttr('checked'));
        }
    });

    $("#frmEditInv").validate({});
</script>
<script src="<?php echo e(asset('plugins/bootstrap-filestyle/bootstrap-filestyle.min.js')); ?>"></script>
